﻿@model BookViewModel

@{
    ViewData["Title"] = "Create";
}

@*<h1>Create</h1>

    <h4>Book</h4>*@

<div id="login" class="media">
    <div class="media-body">
        <h1 class="mt-0 mb-1">Create Book</h1>
    </div>
    <img class="d-flex ml-3" src="~/lib/images/CreateBook.png" alt="Generic placeholder image" width="250">
</div>
<hr/>
<div id="login" class="row">
    <div class="col-md-4">
        <form asp-action="Create">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <b><label asp-for="Title" class="control-label"></label></b>
                <input asp-for="Title" class="form-control" />
                <span asp-validation-for="Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <b><label asp-for="Year" class="control-label"></label></b>
                <input asp-for="Year" class="form-control" />
                <span asp-validation-for="Year" class="text-danger"></span>
            </div>
            <div class="form-group">
                <b><label asp-for="AuthorsNames" class="control-label"></label></b>
                <select asp-for="AuthorsNames" class="js-example-basic-multiple form-control" asp-items="ViewBag.AuthorsNames" multiple="multiple">
                </select>
                <span asp-validation-for="AuthorsNames" class="text-danger"></span>
            </div>
            <button type="submit" class="btn btn-secondary bg-white border-0 float-md-left ">
                <img class="d-flex ml-1" src="~/lib/images/CreateNewGreenTrans.png" alt="CreateNew" width="100">
            </button>
            <a asp-action="Index">
                <img src="~/lib/images/BackToListRedTrans.png" alt="BackToList" width="100">
            </a>
        </form>
    </div>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
